
/* setting stored in registroy */

HANDLE RBC9_Open_Reg(IN PWSTR basekey,IN PWSTR subkey);
NTSTATUS RBC9_Get_Key_Info(HANDLE key,unsigned int *NbrSubKey,unsigned int *NbrValue);
NTSTATUS RBC9_Get_SubKey_Name(HANDLE key,unsigned int Num_SubKey,WCHAR *buf,ULONG bufsize);
NTSTATUS RBC9_Get_Value_Info(HANDLE key,unsigned int Num_Value,WCHAR *buf,ULONG bufsize,ULONG * Type);
NTSTATUS RBC9_Set_Data(HANDLE key, IN PWSTR name,IN ULONG Type , IN PVOID  Data,IN ULONG  DataSize);
NTSTATUS RBC9_Set_DWORD(HANDLE key , IN PWSTR name, IN LONG val);
NTSTATUS RBC9_Set_BINARY(HANDLE key , IN PWSTR name, IN PVOID  Data,IN ULONG  DataSize);
NTSTATUS RBC9_Get_Data(HANDLE key, IN PWSTR name, OUT PKEY_VALUE_PARTIAL_INFORMATION *val);
NTSTATUS RBC9_Get_DWORD(HANDLE key , IN PWSTR name, OUT PLONG val, IN ULONG def_val);
NTSTATUS RBC9_Get_STRING(HANDLE key , IN PWSTR name, OUT PWCHAR val, IN ULONG size);
NTSTATUS RBC9_Get_BINARY(HANDLE key , IN PWSTR name, OUT PVOID val, IN ULONG size);